﻿//-----------------------------------------------------------------------
// <copyright file="MainForm.cs" company="Kanazawa-soft-design,LLC.">
//     Copylight(C) 2018 Kanazawa-soft-design,LLC.
// </copyright>
// <author>金澤 宣明</author>
// <summary></summary>
//-----------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;

namespace WinAppCS001
{
	// -----------------------------------------------------------------------
	/// <summary>
	/// メインフォーム･ウインドウ.
	/// </summary>
	public partial class MainForm : Form
	{
		/// <summary>
		/// 読み込むファイルの最大バイト数.
		/// </summary>
		private const int MaxFileSize = (1024 * 1024 * 10);

		/// <summary>
		/// ファイル一覧表示中のディレクトリの絶対パス名.
		/// </summary>
		private string CurrentDir = string.Empty;

		/// <summary>
		/// ファイルデータ･バッファ.
		/// </summary>
		private byte[] FileBuff = null;

		// -----------------------------------------------------------------------
		/// <summary>
		/// コンストラクタ.
		/// </summary>
		public MainForm()
		{
			InitializeComponent();
		}

		// -----------------------------------------------------------------------
		/// <summary>
		/// メインフォームの初期処理.
		/// </summary>
		/// <param name="sender">
		/// イベントを発生させたオブジェクト.
		/// </param>
		/// <param name="e">
		/// イベント･パラメータ.
		/// </param>
		private void MainForm_Load( object sender, EventArgs e )
		{
			//! ディレクトリツリー･ビューを初期化する.
			FileView_Init();

			//! ファイル一覧表示ビューを初期化する.
			FileList_Init();

			//! ファイルデータ表示ビューを初期化する.
			FileData_Init();
		}

		//! -----------------------------------------------------------------------
		/// <summary>
		/// メニューイベント : 「アプリケーションの終了」.
		/// </summary>
		/// <param name="sender">
		/// イベントを発生させたオブジェクト.
		/// </param>
		/// <param name="e">
		/// イベント･パラメータ.
		/// </param>
		private void MenuExit_Click( object sender, EventArgs e )
		{
			//! メインフレームをClose()するとアプリケーションが終了する.
			this.Close();
		}

		// -----------------------------------------------------------------------
		/// <summary>
		/// メニューイベント : 「バージョン情報」.
		/// </summary>
		/// <param name="sender">
		/// イベントを発生させたオブジェクト.
		/// </param>
		/// <param name="e">
		/// イベント･パラメータ.
		/// </param>
		private void MenuAbout_Click( object sender, EventArgs e )
		{
			//! バージョン情報ダイアログを生成する.
			AboutDialog f = new AboutDialog();

			//! バージョン情報ダイアログを表示する.
			f.ShowDialog( this );

			//! バージョン情報ダイアログを破棄する.
			f.Dispose();
		}
	}
}
